## libosmocore 1.4.2

=== debian/changelog ===
libosmocore (1.4.2-3) unstable; urgency=medium

  * remove stuff on all architectures

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 28 Mar 2021 19:59:59 +0200

libosmocore (1.4.2-2) unstable; urgency=medium

  * remove links to files that are not included into the package
    (Closes: #985505)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 28 Mar 2021 16:59:59 +0200

libosmocore (1.4.2-1) unstable; urgency=medium

  * New upstream release

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 06 Feb 2021 21:59:59 +0100

libosmocore (1.4.1-3) unstable; urgency=medium

  * upload to unstable and start transition

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 06 Dec 2020 11:25:43 +0100

libosmocore (1.4.1-2) experimental; urgency=medium

  * debian/rules: there is a endianness problem in sockaddr_str_test
                  ignore test result for now

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 29 Nov 2020 16:25:43 +0000

libosmocore (1.4.1-1) experimental; urgency=medium

  * New upstream release

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 29 Nov 2020 13:25:43 +0000

libosmocore (1.4.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control: add dependencies for libusb-1.0-0-dev, libsctp-dev,
                    python3-minimal
  * debian/rules: don't ship la files (Closes: #955789)
                  Thanks to Pino Toscano for the patch.
  * update symbols
  * remove patches for stuff that is fixed upstream
    - 0005-Set-HTML_TIMESTAMP-to-NO-to-make-build-reproducible.patch
      refresh patch, new HTML_TIMESTAMP appeared
    - 0005-Structs-for-big-endian.patch fixed upstream
    - 0009-No-fail-if-no-proc-cpuinfo.patch fixed upstream
    - 0010-gcc9.patch fixed upstream
    - 0011-gcc10.patch fixed upstream
    - 0009-remove-dependency-on-unversioned-python.patch
      refresh patch, new unversioned python appeared

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 15 Aug 2020 16:00:56 +0200

libosmocore (0.12.1-4) unstable; urgency=medium

  * debian/control: avoid depdendency on unversioned Python
                    (Closes: #967162)
  * debian/control: use dh12
  * debian/control: bump standard to 4.5.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 10 Aug 2020 19:55:55 +0200

libosmocore (0.12.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Cherry-pick fix for gcc 10 compatibility from upstream.
    (Closes: #957465)

 -- Christoph Berg <myon@debian.org>  Mon, 27 Jul 2020 21:25:10 +0200

libosmocore (0.12.1-3) unstable; urgency=low

  [Ruben Undheim]
  * Attempt fix FTBFS on kFreeBSD and Hurd:
    - d/patches/0007-TIMER-constants-not-on-some-architectures.patch
    - d/patches/MAXPATHLEN-set-if-not-defined.patch
    - d/patches/0009-No-fail-if-no-proc-cpuinfo.patch

  [Thorsten Alteholz]
  * add patch to build with gcc9 (cherry picked from upstream)
    (Closes: #925756)
  * add "* Build-Depends-Package:" to symbols files

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 18 Aug 2019 10:55:55 +0200
