=== debian/control ===
--- 
+++ 
@@ -1,41 +1,34 @@
 Source: libosmocore
-Maintainer: Harald Welte <laforge@gnumonks.org>
+Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
+Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
+	, Thorsten Alteholz <debian@alteholz.de>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               autotools-dev,
-               autoconf,
-               automake,
-               libtool,
-               dh-autoreconf,
-               libdpkg-perl,
-               git,
-               libgnutls28-dev,
-               doxygen,
-               libpcsclite-dev,
-               pkg-config,
-               libtalloc-dev,
-               libsctp-dev,
-               libusb-1.0-0-dev,
-               python3:native
-Standards-Version: 3.9.8
-Vcs-Git: git://git.osmocom.org/libosmocore.git
-Vcs-Browser: http://git.osmocom.org/libosmocore/
-Homepage: https://projects.osmocom.org/projects/libosmocore
+Build-Depends: debhelper-compat (= 12)
+	, doxygen
+	, txt2man
+	, libpcsclite-dev
+	, pkg-config
+	, libtalloc-dev
+	, python3-minimal
+	, libgnutls28-dev
+	, libusb-1.0-0-dev
+	, libsctp-dev
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/libosmocore
+Vcs-Git: https://salsa.debian.org/debian-mobcom-team/libosmocore.git
+Homepage: http://bb.osmocom.org/trac/wiki/libosmocore
 
 Package: libosmocore
-Section: libs
-Architecture: any
-Multi-Arch: foreign
-Depends: osmocom-latest, libosmocodec0 (= ${binary:Version}),
-         libosmocoding0 (= ${binary:Version}),
+Architecture: any
+Multi-Arch: same
+Depends: libosmocodec0 (= ${binary:Version}),
          libosmocore16 (= ${binary:Version}),
          libosmogb11 (= ${binary:Version}),
          libosmogsm15 (= ${binary:Version}),
          libosmovty4 (= ${binary:Version}),
          libosmoctrl0 (= ${binary:Version}),
          libosmosim2 (= ${binary:Version}),
-         libosmousb0 (= ${binary:Version}),
          ${misc:Depends}
 Description: Open Source MObile COMmunications CORE library (metapackage)
  The libraries provided by this package contain various utility functions.
@@ -45,10 +38,9 @@
  Source mobile communication.
 
 Package: libosmocodec0
-Section: libs
-Architecture: any
-Multi-Arch: same
-Depends: osmocom-latest, ${shlibs:Depends},
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends},
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Osmo codec library
@@ -69,7 +61,7 @@
 Package: libosmocodec-doc
 Architecture: all
 Section: doc
-Depends: osmocom-latest, ${misc:Depends},
+Depends: ${misc:Depends},
          libosmocodec0,
          libjs-jquery
 Description: Documentation for the osmo codec library
@@ -82,12 +74,13 @@
  This package contains the documentation for the libosmocodec library.
 
 Package: libosmocoding0
-Section: libs
-Architecture: any
-Multi-Arch: same
-Depends: osmocom-latest, ${shlibs:Depends},
-         ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends}
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Replaces: libosmocore9 (<< 0.10.2-7)
+Breaks: libosmocore9 (<< 0.10.2-7)
 Description: Osmo coding library
  This is part of the libosmocore "meta"-library. The libosmocore library
  contains various utility functions that were originally developed as part of
@@ -101,7 +94,7 @@
 Package: libosmocoding-doc
 Architecture: all
 Section: doc
-Depends: osmocom-latest, ${misc:Depends},
+Depends: ${misc:Depends},
          libosmocoding0,
          libjs-jquery
 Description: Documentation for the osmo coding library
@@ -114,10 +107,9 @@
  This package contains the documentation for the libosmocoding library.
 
 Package: libosmocore16
-Section: libs
-Architecture: any
-Multi-Arch: same
-Depends: osmocom-latest, ${shlibs:Depends},
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends},
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Osmo Core library
@@ -133,11 +125,10 @@
 Package: libosmocore-doc
 Architecture: all
 Section: doc
-Depends: osmocom-latest, ${misc:Depends},
+Depends: ${misc:Depends},
          libosmocore16,
          libjs-jquery,
          libosmocodec-doc,
-         libosmocoding-doc,
          libosmogsm-doc,
          libosmovty-doc
 Description: Documentation for the Osmo Core library
@@ -150,10 +141,9 @@
  This package contains the documentation for the libosmocore library.
 
 Package: libosmogb11
-Section: libs
-Architecture: any
-Multi-Arch: same
-Depends: osmocom-latest, ${shlibs:Depends},
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends},
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Osmo GPRS GB library
@@ -166,26 +156,10 @@
  The libosmogb library in particular contains a GPRS BSSGP protocol
  implementation.
 
-Package: libosmogb-doc
-Architecture: all
-Section: doc
-Depends: osmocom-latest, ${misc:Depends},
-         libosmogb11,
-         libjs-jquery
-Description: Documentation for the Osmo GPRS Gb library
- This is part of the libosmocore "meta"-library. The libosmocore library
- contains various utility functions that were originally developed as part of
- the OpenBSC project, but which are of a more generic nature and thus useful to
- (at least) other programs that are developed in the sphere of Free Software /
- Open Source mobile communication.
- .
- This package contains the documentation for the libosmogb library.
-
 Package: libosmogsm15
-Section: libs
-Architecture: any
-Multi-Arch: same
-Depends: osmocom-latest, ${shlibs:Depends},
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends},
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Osmo GSM utility library
@@ -204,7 +178,7 @@
 Package: libosmogsm-doc
 Architecture: all
 Section: doc
-Depends: osmocom-latest, ${misc:Depends},
+Depends: ${misc:Depends},
          libosmogsm15,
          libjs-jquery
 Description: Documentation for the Osmo GSM utility library
@@ -217,10 +191,9 @@
  This package contains the documentation for the libosmogsm library.
 
 Package: libosmovty4
-Section: libs
-Architecture: any
-Multi-Arch: same
-Depends: osmocom-latest, ${shlibs:Depends},
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends},
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Osmo VTY library
@@ -236,7 +209,7 @@
 Package: libosmovty-doc
 Architecture: all
 Section: doc
-Depends: osmocom-latest, ${misc:Depends},
+Depends: ${misc:Depends},
          libosmovty4,
          libjs-jquery
 Description: Documentation for the Osmo VTY library
@@ -249,10 +222,9 @@
  This package contains the documentation for the libosmovty library.
 
 Package: libosmoctrl0
-Section: libs
-Architecture: any
-Multi-Arch: same
-Depends: osmocom-latest, ${shlibs:Depends},
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends},
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Osmo control library
@@ -267,7 +239,7 @@
 Package: libosmoctrl-doc
 Architecture: all
 Section: doc
-Depends: osmocom-latest, ${misc:Depends},
+Depends: ${misc:Depends},
          libosmoctrl0,
          libjs-jquery
 Description: Documentation for the Osmocom CTRL library
@@ -280,10 +252,9 @@
  This package contains the documentation for the libosmoctrl library.
 
 Package: libosmosim2
-Section: libs
-Architecture: any
-Multi-Arch: same
-Depends: osmocom-latest, ${shlibs:Depends},
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends},
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Osmo SIM library
@@ -295,12 +266,38 @@
  .
  The libosmosim library in particular contains routines for SIM card access.
 
-Package: libosmousb0
-Section: libs
-Architecture: any
-Multi-Arch: same
-Depends: osmocom-latest, ${shlibs:Depends},
-         ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends}
-Description: Osmo USB library
- This is part of the libosmocore "meta"-library. The libosmocore library
+Package: libosmocore-dev
+Architecture: any
+Multi-Arch: same
+Section: libdevel
+Depends: libosmocodec0 (= ${binary:Version}),
+         libosmocore16 (= ${binary:Version}),
+         libosmogb11 (= ${binary:Version}),
+         libosmogsm15 (= ${binary:Version}),
+         libosmovty4 (= ${binary:Version}),
+         libosmoctrl0 (= ${binary:Version}),
+         libosmosim2 (= ${binary:Version}),
+         libosmocoding0 (= ${binary:Version}),
+         libtalloc-dev,
+         ${misc:Depends}
+Description: Development headers for Open Source MObile COMmunications CORE library
+ The header files provided by this package may be used to develop
+ with any of the libosmocore libraries.
+ .
+ Also static libraries are installed with this package.
+
+Package: libosmocore-utils
+Architecture: any
+Section: utils
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Description: Utilities for gsm
+ This package contains a program for frequency calculation for GSM called
+ 'osmo-arfcn' and a program called 'osmo-auc-gen' that is used for testing GSM
+ authentication.
+ .
+ They use the libosmocore library. The libosmocore library contain various
+ utility functions that were originally developed as part of the OpenBSC
+ project, but which are of a more generic nature and thus useful to (at least)
+ other programs that are developed in the sphere of Free Software / Open Source
+ mobile communication.
